Name:		gnusim8085
Version:	1.3.5
Release:	5%{?dist}
Summary:	A 8085 Simulator

Group:		Applications/Engineering
License:	GPLv2
URL:		http://gnusim8085.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtksourceview2-devel
BuildRequires:	desktop-file-utils

Requires:	electronics-menu

%description
GNUSim8085 is a graphical simulator for Intel 8085 
microprocessor assembly language. It has some very 
nice features including a keypad which can be used 
to write assembly language programs with much ease.
It also has stack, memory and port viewers which 
can be used for debugging the programs.


%prep
%setup -q


%build
%configure 
make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -p" DESTDIR=%{buildroot} install
desktop-file-install --vendor "" \
--add-category "Electronics" \
--delete-original \
--dir %{buildroot}%{_datadir}/applications/ \
%{buildroot}%{_datadir}/applications/GNUSim8085.desktop
mkdir -p %{buildroot}%{_mandir}/man1
cp -p doc/gnusim8085.1 %{buildroot}%{_mandir}/man1/%{name}.1
rm -rf %{buildroot}%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc  ABOUT-NLS AUTHORS ChangeLog COPYING NEWS README TODO
%doc  doc/examples/ doc/asm-guide.txt
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/gnusim8085
%{_datadir}/applications/GNUSim8085.desktop
%{_datadir}/gnusim8085/
%{_datadir}/pixmaps/gnusim8085/

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 7 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-4
- Ownership of pixmap/gnusim8085 directory included and some typos fixed.

* Sun Jun 7 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-3
- Changes made to fine tune the package- copy manual, preserve time stamp

* Tue Jun 2 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-2
- Changes made to match Fedora Packaging Guidelines

* Tue Jun 2 2009 Rangeen Basu Roy Chowdhury <sherry151 AT fedoraproject DOT org> - 1.3.5-1
- First Fedora Package
